=== debian/changelog ===
libcxl (1.3-0ubuntu2) xenial; urgency=medium

  * debian/rules: override dh_makeshlibs to force dpkg-gensymbols to fail if
    symbols appear that were not added to the symbols file.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 29 Mar 2016 14:03:09 -0400

libcxl (1.3-0ubuntu1) xenial; urgency=medium

  * Upload libcxl to xenial; from the package at Debian mentors. (LP: #1541457)
  * Removed libcxl.a from files to ship.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 16 Feb 2016 14:15:57 -0500

libcxl (1.3-1) UNRELEASED; urgency=medium

  * Initial release (Closes: #813592)

 -- Frederic Bonnard <frediz@linux.vnet.ibm.com>  Mon, 01 Feb 2016 15:22:26 +0100
