=== debian/control ===
Source: libcxl
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Frederic Bonnard <frediz@linux.vnet.ibm.com>
Build-Depends: debhelper (>=9)
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/ibm-capi/libcxl
#Vcs-Git: git://anonscm.debian.org/collab-maint/libcxl.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libcxl.git

Package: libcxl-dev
Section: libdevel
Architecture: ppc64 ppc64el
Depends: libcxl1 (= ${binary:Version}), ${misc:Depends}
Description: Coherent accelerator shared library development files
 The coherent accelerator interface is designed to allow the coherent
 connection of accelerators (FPGAs and other devices) to a POWER system.
 Coherent in this context means that the accelerator and CPUs can both access
 system memory directly and with the same effective addresses. IBM refers to
 this as the Coherent Accelerator Processor Interface (CAPI). In the Linux
 world it is referred to by the name CXL to avoid confusion with the ISDN
 CAPI subsystem.
 .
 This package provides development files for libcxl.

Package: libcxl1
Architecture: ppc64 ppc64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Coherent accelerator shared library
 The coherent accelerator interface is designed to allow the coherent
 connection of accelerators (FPGAs and other devices) to a POWER system.
 Coherent in this context means that the accelerator and CPUs can both access
 system memory directly and with the same effective addresses. IBM refers to
 this as the Coherent Accelerator Processor Interface (CAPI). In the Linux
 world it is referred to by the name CXL to avoid confusion with the ISDN
 CAPI subsystem.
