=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

VERS_LIB ?= 1.3
VERS_SONAME ?= 1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR ?= lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@ 

override_dh_auto_clean:
	dh_auto_clean
	rm -f libcxl.so.$(VERS_LIB)

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_auto_build:
	make VERS_SONAME=$(VERS_SONAME) VERS_LIB=$(VERS_LIB)

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/tmp/usr/$(LIBDIR) $(CURDIR)/debian/tmp/usr/include
	cp libcxl.so.$(VERS_LIB) $(CURDIR)/debian/tmp/usr/$(LIBDIR)
	cp libcxl.h $(CURDIR)/debian/tmp/usr/include
	cd $(CURDIR)/debian/tmp/usr/$(LIBDIR) && ln -sf libcxl.so.$(VERS_LIB) libcxl.so.1
	cd $(CURDIR)/debian/tmp/usr/$(LIBDIR) && ln -sf libcxl.so.1 libcxl.so
