## libcxl 1.4

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,16 @@
 OBJS = libcxl.o libcxl_sysfs.o
 CFLAGS += -I include
 
-all: check_cxl_header libcxl.so libcxl.a
+# change VERS_LIB if new git tag
+VERS_LIB = 1.4
+LIBNAME   = libcxl.so.$(VERS_LIB)
+# change VERS_SONAME only if library breaks backward compatibility.
+# refer to file symver.map
+VERS_SONAME=1
+LIBSONAME = libcxl.so.$(VERS_SONAME)
+SONAMEOPT = -Wl,-soname,$(LIBSONAME)
+
+all: check_cxl_header $(LIBNAME) libcxl.so libcxl.a
 
 HAS_WGET = $(shell /bin/which wget > /dev/null 2>&1 && echo y || echo n)
 HAS_CURL = $(shell /bin/which curl > /dev/null 2>&1 && echo y || echo n)
@@ -27,8 +36,11 @@
 
 libcxl.o libcxl_sysfs.o : CFLAGS += -fPIC
 
-libcxl.so: libcxl.o libcxl_sysfs.o symver.map
-	$(call Q,CC, $(CC) $(CFLAGS) -shared libcxl.o libcxl_sysfs.o -o libcxl.so, libcxl.so) -Wl,--version-script symver.map
+libcxl.so: $(LIBNAME)
+	ln -s $(LIBNAME) libcxl.so
+
+$(LIBNAME): libcxl.o libcxl_sysfs.o symver.map
+	$(call Q,CC, $(CC) $(CFLAGS) $(LDFLAGS) -shared libcxl.o libcxl_sysfs.o -o $(LIBNAME), $(LIBNAME)) -Wl,--version-script symver.map $(SONAMEOPT)
 
 libcxl.a: libcxl.o libcxl_sysfs.o
 	$(call Q,AR, ar rcs libcxl.a libcxl.o libcxl_sysfs.o, libcxl.a)
@@ -38,4 +50,11 @@
 clean:
 	rm -f *.o *.d libcxl.so libcxl.a include/misc/cxl.h
 
-.PHONY: clean all
+install: all
+	mkdir -p $(DESTDIR)$(libdir)
+	mkdir -p $(DESTDIR)$(includedir)
+	install -m 0755 $(LIBNAME) $(DESTDIR)$(libdir)/
+	cp -d libcxl.so $(DESTDIR)$(libdir)/
+	install -m 0644 libcxl.h  $(DESTDIR)$(includedir)/
+
+.PHONY: clean all install
