=== debian/changelog ===
libcxl (1.4-1) unstable; urgency=medium

  * Initial release (Closes: #813592)

 -- Frederic Bonnard <frediz@linux.vnet.ibm.com>  Mon, 01 Feb 2016 15:22:26 +0100
