=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: libcxl
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Frederic Bonnard <frediz@linux.vnet.ibm.com>
+Maintainer: Frederic Bonnard <frediz@linux.vnet.ibm.com>
 Build-Depends: debhelper (>=9)
 Standards-Version: 3.9.6
 Section: libs
