## libcxl 1.5

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 CFLAGS += -I include
 
 # change VERS_LIB if new git tag
-VERS_LIB = 1.4
+VERS_LIB = 1.5
 LIBNAME   = libcxl.so.$(VERS_LIB)
 # change VERS_SONAME only if library breaks backward compatibility.
 # refer to file symver.map
@@ -13,7 +13,7 @@
 LIBSONAME = libcxl.so.$(VERS_SONAME)
 SONAMEOPT = -Wl,-soname,$(LIBSONAME)
 
-all: check_cxl_header $(LIBNAME) libcxl.so libcxl.a
+all: check_cxl_header $(LIBSONAME) libcxl.so libcxl.a
 
 HAS_WGET = $(shell /bin/which wget > /dev/null 2>&1 && echo y || echo n)
 HAS_CURL = $(shell /bin/which curl > /dev/null 2>&1 && echo y || echo n)
@@ -37,7 +37,10 @@
 libcxl.o libcxl_sysfs.o : CFLAGS += -fPIC
 
 libcxl.so: $(LIBNAME)
-	ln -s $(LIBNAME) libcxl.so
+	ln -sf $(LIBNAME) libcxl.so
+
+$(LIBSONAME): $(LIBNAME)
+	ln -sf $(LIBNAME) $(LIBSONAME)
 
 $(LIBNAME): libcxl.o libcxl_sysfs.o symver.map
 	$(call Q,CC, $(CC) $(CFLAGS) $(LDFLAGS) -shared libcxl.o libcxl_sysfs.o -o $(LIBNAME), $(LIBNAME)) -Wl,--version-script symver.map $(SONAMEOPT)
@@ -48,13 +51,13 @@
 include Makefile.rules
 
 clean:
-	rm -f *.o *.d libcxl.so libcxl.a include/misc/cxl.h
+	rm -f *.o *.d libcxl.so* libcxl.a include/misc/cxl.h
 
 install: all
 	mkdir -p $(DESTDIR)$(libdir)
 	mkdir -p $(DESTDIR)$(includedir)
 	install -m 0755 $(LIBNAME) $(DESTDIR)$(libdir)/
-	cp -d libcxl.so $(DESTDIR)$(libdir)/
+	cp -d libcxl.so $(LIBSONAME) $(DESTDIR)$(libdir)/
 	install -m 0644 libcxl.h  $(DESTDIR)$(includedir)/
 
 .PHONY: clean all install
