=== debian/changelog ===
libcxl (1.5-1) unstable; urgency=medium

  * New upstream release
  * d/patches/create-LIBSONAME-link.patch : dropped as applied upstream
  * d/control : Standards-Version updated to 3.9.8 but nothing needed to be
    changed

 -- Frédéric Bonnard <frediz@linux.vnet.ibm.com>  Tue, 30 May 2017 13:02:18 +0200
