=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: libcxl
 Priority: optional
-Maintainer: Frederic Bonnard <frediz@linux.vnet.ibm.com>
+Maintainer: Frédéric Bonnard <frediz@linux.vnet.ibm.com>
 Build-Depends: debhelper (>=9)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: https://github.com/ibm-capi/libcxl
 #Vcs-Git: git://anonscm.debian.org/collab-maint/libcxl.git
