=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libcxl-$1\.tar\.gz/,uversionmangle=s/-rc/~rc/ \
  https://github.com/ibm-capi/libcxl/tags .*/v?(\d\S*)\.tar\.gz
