=== debian/changelog ===
libcxl (1.7-1) unstable; urgency=medium

  * Remove unused d/patches effectively
  * Add support for the upstream version tags
  * Add new symbols to debian symbol file
  * Update Maintainer and Vcs info
  * Update copyright information
  * Upgrade debhelper compatibility level
  * Add Multi-Arch field
  * Upgrade Standards-Version

 -- Frédéric Bonnard <frediz@debian.org>  Thu, 17 May 2018 16:31:39 +0200
