=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: libcxl
 Priority: optional
-Maintainer: Frédéric Bonnard <frediz@linux.vnet.ibm.com>
-Build-Depends: debhelper (>=9)
-Standards-Version: 3.9.8
+Maintainer: Frédéric Bonnard <frediz@debian.org>
+Build-Depends: debhelper (>=11~)
+Standards-Version: 4.1.4
 Section: libs
 Homepage: https://github.com/ibm-capi/libcxl
-#Vcs-Git: git://anonscm.debian.org/collab-maint/libcxl.git
-#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libcxl.git
+Vcs-Git: https://salsa.debian.org/debian/libcxl.git
+Vcs-Browser: https://salsa.debian.org/debian/libcxl
 
 Package: libcxl-dev
 Section: libdevel
 Architecture: ppc64 ppc64el
+Multi-Arch: same
 Depends: libcxl1 (= ${binary:Version}), ${misc:Depends}
 Description: Coherent accelerator shared library development files
  The coherent accelerator interface is designed to allow the coherent
@@ -25,6 +26,7 @@
 
 Package: libcxl1
 Architecture: ppc64 ppc64el
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Coherent accelerator shared library
  The coherent accelerator interface is designed to allow the coherent
